<?php
// This module is more than a normal payment gateway
// It needs dashboard and all


class Traknpay_Tnp_Model_PaymentMethod extends Mage_Payment_Model_Method_Abstract{
    /**
     * Availability options
     */ 

    private $LOG_FILE_NAME = 'tnp.log';

    protected $_code = 'tnp';

    protected $_isGateway               = true;
    protected $_canAuthorize            = true;
    protected $_canCapture              = true;
    protected $_canCapturePartial       = true;
    protected $_canRefund               = false;
    protected $_canVoid                 = false;
    protected $_canUseInternal          = true;
    protected $_canUseCheckout          = true;
    protected $_canUseForMultishipping  = true;
    protected $_canSaveCc               = false;
    protected $_isInitializeNeeded      = false;

    /**
    * @return Mage_Checkout_Model_Session
    */
    protected function _getCheckout()
    {
       return Mage::getSingleton('checkout/session');
    }

    // Construct the redirect URL
    public function getOrderPlaceRedirectUrl()
    {   
        $redirect_url = Mage::getUrl('tnp/payment/redirect');
        return $redirect_url;
    }

    public function authorize(Varien_Object $payment, $amount){
        return $this;
    }
    /**
     * this method is called if we are authorising AND
     * capturing a transaction
     */
    public function capture(Varien_Object $payment, $amount)
    {
        return $this;
    }

}

// Suggestions from
// http://stackoverflow.com/questions/6058430/magento-redirect-checkout-payment-to-a-3rd-party-gateway
// 